Loading...
Searching...
No Matches
BpGraph::NodeIt Class Reference

## Detailed Description

This iterator goes through each node of the graph. Its usage is quite simple, for example, you can count the number of nodes in a graph `g` of type `BpGraph` like this:

int count=0;
for (BpGraph::NodeIt n(g); n!=INVALID; ++n) ++count;
lemon::INVALID
const Invalid INVALID
Invalid iterators.
Definition base.cc:32
lemon::concepts::BpGraph::NodeIt
Iterator class for the nodes.
Definition bpgraph.h:276

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::NodeIt:
[legend]

## Public Member Functions

| NodeIt ()
| Default constructor.
| NodeIt (const NodeIt &n)
| Copy constructor.
| NodeIt (Invalid)
| Invalid constructor & conversion.
| NodeIt (const BpGraph &)
| Sets the iterator to the first node.
| NodeIt (const BpGraph &, const Node &)
| Sets the iterator to the given node.
NodeIt & | operator++ ()
| Next node.
Public Member Functions inherited from BpGraph::Node
| Node ()
| Default constructor.
| Node (const Node &)
| Copy constructor.
| Node (Invalid)
| Invalid constructor & conversion.
bool | operator== (Node) const
| Equality operator.
bool | operator!= (Node) const
| Inequality operator.
bool | operator< (Node) const
| Artificial ordering operator.

## Constructor & Destructor Documentation

## NodeIt() [1/5]

NodeIt | ( |  | ) |

inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

## NodeIt() [2/5]

NodeIt | ( | const NodeIt & | n | ) |

inline

Copy constructor.

## NodeIt() [3/5]

NodeIt | ( | Invalid |  | ) |

inline

Initializes the iterator to be invalid.

See also
  Invalid for more details.

## NodeIt() [4/5]

NodeIt | ( | const BpGraph & |  | ) |

inline explicit

Sets the iterator to the first node of the given digraph.

## NodeIt() [5/5]

NodeIt | ( | const BpGraph & | ,
|  | const Node & | )

inline

Sets the iterator to the given node of the given digraph.

## Member Function Documentation

## operator++()

NodeIt & operator++ | ( |  | ) |

inline

Assign the iterator to the next node.